<template>
	<div :class="[$style.wrapper, { [$style.hasPagination]: hasPagination }]">
		<button
			type="button"
			class="carouselPrev"
			:class="$style.button"
			aria-label="Previous"
			@click="$emit('switchslide', currentSlide - 1)"
		>
			<BaseIcon name="chevron-left" width="20" height="20" title="Previous" />
		</button>

		<button
			type="button"
			class="carouselNext"
			:class="$style.button"
			aria-label="Next"
			@click="$emit('switchslide', currentSlide + 1)"
		>
			<BaseIcon name="chevron-right" width="20" height="20" title="Next" />
		</button>
	</div>
</template>

<script>
export default {
	props: {
		currentSlide: {
			type: Number,
			required: true,
		},

		hasPagination: {
			type: Boolean,
			required: true,
		},
	},
};
</script>

<style lang="scss" module>
@import '@design';

.wrapper {
	top: 0;
}

.button {
	position: absolute;
	top: calc(50% - 1.7rem);
	width: 3.4rem;
	height: 3.4rem;
	pointer-events: all;
	cursor: pointer;
	background-color: color('white');
	border: 1px solid #979797;
	border-radius: 50%;

	&:active {
		color: inherit;
	}

	.hasPagination > & {
		// 2.4rem - half of the pagination height
		top: calc(50% - 1.7rem - 2.4rem);
	}
}
</style>

<style lang="scss">
.carouselNext {
	right: 0;
}

.carouselPrev {
	left: 0;
}
</style>
